org.opencv.ximgproc

## Class FastLineDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.FastLineDetector

-     public class FastLineDetector
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FastLineDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FastLineDetector` | `__fromPtr__(long addr)`
    `void` | `detect(Mat _image, Mat _lines)`
    `void` | `drawSegments(Mat _image, Mat lines)`
    `void` | `drawSegments(Mat _image, Mat lines, boolean draw_arrow)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastLineDetector

          protected FastLineDetector(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FastLineDetector __fromPtr__(long addr)

    - #### detect

          public void detect(Mat _image,
                             Mat _lines)

    - #### drawSegments

          public void drawSegments(Mat _image,
                                   Mat lines,
                                   boolean draw_arrow)

    - #### drawSegments

          public void drawSegments(Mat _image,
                                   Mat lines)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1